Bug 1265783 - python2-pecan 1.0.2 rpm depends on /usr/bin/python3
python2-pecan 1.0.2 rpm depends on /usr/bin/python3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-pecan (Show other bugs)
23
All All
unspecified Severity low
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 14:03 EDT by Martin Matyas
Modified: 2016-12-20 09:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:42:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Matyas 2015-09-23 14:03:50 EDT
Description of problem:
python2-pecan package depends on /usr/bin/python3 binary while it's other dependencies don't include any python3 package (and it should not as it's a python2 rpm).

Version-Release number of selected component (if applicable):
1.0.2-2

How reproducible:
rpm -qpR python2-pecan-1.0.2-2.fc23.noarch.rpm

Actual results:
/bin/usr/python3 is among dependencies

Expected results:
/bin/usr/python or /bin/usr/python2 is among dependencies

Additional info:
the issue is not present in package versions <1.0.0
Comment 1 Toshio Ernie Kuratomi 2015-11-10 10:33:11 EST
I fixed this in master here: http://pkgs.fedoraproject.org/cgit/python-pecan.git/commit/?id=2793ab73328eb6a7386ac4b2d5112f6f4dc263c8  and built it for rawhide here: http://koji.fedoraproject.org/koji/buildinfo?buildID=696838

pbrady, as the fix for this package involved creating two separate executables (one for python2 and one for python3) It's probably relatively safe to push it back to older releases.  Note that people will have to adjust their invocation of the executable if they want to use the python3 version as that executable's name has changed.

Note that not all packages should use the two separate executable strategy; see the guidelines for details on when to choose this strategy versus only shipping one version utilizing the default python version: https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
Comment 2 Fedora End Of Life 2016-11-24 07:34:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 09:42:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.